automation-suite
2023.10
false
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs

Automation Suite API guide
Last updated Feb 24, 2026
Delete Robot Accounts
Deletes multiple robot accounts from an organization, based on the organization ID.
API Endpoint
DELETE https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId (required) | String | The ID of the organization you want to retrieve the robot accounts for. |
Request Body
The request body contains the list of robot accounts IDs you want to bulk delete from the organization.
{
"robotAccountIDs": [
"string",
"string"
]
}
{
"robotAccountIDs": [
"string",
"string"
]
}
Responses
200 OK
The indicated robot accounts are deleted from the organization.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The robot accounts you want to delete have the following IDs:
- Bot1:
11-xy - Bot2:
22-tz
- Bot1:
The call should resemble the following example (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'